import ConfigParser
import io

defaults = """
[buildbot]
url = http://localhost:8080/buildbot/change_hook

[trigger]
koji_tasks = rpmlint
bodhi_to_koji_tag_tasks = upgradepath,depcheck
bodhi_tasks = examplebodhi
valid_arches = i386,i686,x86_64,noarch
koji_url = http://koji.fedoraproject.org/kojihub
type = StreamTrigger
blacklist_releases = el5,el6
job_logging = False
joblog_file = /var/log/taskotron-trigger/jobs.cvs
fuse_delay = 1000 ; seconds
x86_64_only = depcheck
"""

config = ConfigParser.ConfigParser()
config.readfp(io.BytesIO(defaults))
config.read(['/etc/taskotron/trigger.cfg', './conf/trigger.cfg'])


buildbot_username = config.get('buildbot', 'username')
buildbot_password = config.get('buildbot', 'password')
buildbot_url = config.get('buildbot', 'url')

koji_tasks = [e.strip() for e in config.get('trigger', 'koji_tasks').split(',')]
bodhi_to_koji_tag_tasks = [e.strip() for e in config.get('trigger', 'bodhi_to_koji_tag_tasks').split(',')]
bodhi_tasks = [e.strip() for e in config.get('trigger', 'bodhi_tasks').split(',')]
valid_arches = [e.strip() for e in config.get('trigger', 'valid_arches').split(',')]
koji_url = config.get('trigger', 'koji_url')
trigger_type = config.get('trigger', 'type')
blacklist_releases = [e.strip() for e in config.get('trigger', 'blacklist_releases').split(',')]
job_logging = True if config.get('trigger', 'job_logging') == 'True' else False
joblog_file = config.get('trigger', 'joblog_file')
fuse_delay = int(config.get('trigger', 'fuse_delay')) # seconds
x86_64_only = [e.strip() for e in config.get('trigger', 'x86_64_only').split(',')]
