import csv
import datetime
import koji

from . import config

koji_client = koji.ClientSession(config.koji_url)


def get_arches(buildid=None, nvr=None):
    if buildid is None:
        info = koji_client.getBuild(nvr)
        buildid = info['id']

    arches = set([rpm['arch'] for rpm in koji_client.listRPMs(buildid) if rpm['arch'] in config.valid_arches])

    if 'i686' in arches:
        arches.remove('i686')
        arches.add('i386')

    return arches


def log_job(logname, item, item_type, task, arch):
    now = datetime.datetime.now()

    with open(logname, 'a') as csvfile:
        writer = csv.writer(csvfile, delimiter=';')
        writer.writerow([now, item, item_type, task, arch])
